<?php

/**
 * The template for displaying the footer
 *
 * Contains the opening of the #site-footer div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package NewsFor
 * @since 1.0.0
 */
?>
</div>
</div>


<?php if (is_active_sidebar('newsfor-offcanvas-widget')) : ?>
    <div id="sidr-nav">
        <a class="skip-link-offcanvas-first" href="javascript:void(0)"></a>
        <a class="sidr-offcanvas-close" href="#sidr-nav">
            <span>
                <?php echo esc_html__('Close', 'newsfor'); ?>
            </span>
        </a>
        <div class="sidr-area">
            <?php dynamic_sidebar('newsfor-offcanvas-widget'); ?>
        </div>
        <a class="skip-link-offcanvas-last" href="javascript:void(0)"></a>
    </div>
<?php endif; ?>

<?php
/**
 * Toogle Contents
 * @hooked newsfor_header_toggle_search - 10
 * @hooked newsfor_content_offcanvas - 30
 */

do_action('newsfor_before_footer_content_action'); ?>
<?php do_action('newsfor_before_footer'); ?>
<footer id="site-footer" role="contentinfo">
    <?php
    /**
     * Footer Content
     * @hooked newsfor_footer_content_widget - 10
     * @hooked newsfor_footer_content_info - 20
     */

    do_action('newsfor_footer_content_action'); ?>

</footer>
<?php do_action('newsfor_after_footer'); ?>
</div>
<?php do_action('newsfor_after_site'); ?>
<?php wp_footer(); ?>
</body>

</html>