<?php
/**
 *
 * Front Page
 *
 * @package NewsFor
 */

get_header();


    $newsfor_default = newsfor_get_default_theme_options();
    $newsfor_default = newsfor_get_default_theme_options();
    $sidebar = esc_attr( get_theme_mod( 'global_sidebar_layout', $newsfor_default['global_sidebar_layout'] ) );
    

    if( is_single() || is_page() ){

        $newsfor_post_sidebar = esc_attr( get_post_meta( $post->ID, 'newsfor_post_sidebar_option', true ) );
        if( $newsfor_post_sidebar == 'global-sidebar' || empty( $newsfor_post_sidebar ) ){

            $sidebar = $sidebar;
        }else{
            $sidebar = $newsfor_post_sidebar;
        }

    }
    $twp_newsfor_home_sections_2 = get_theme_mod( 'twp_newsfor_home_sections_2', json_encode( $newsfor_default['twp_newsfor_home_sections_2'] ) );
    $repeat_times = 1;
    $paged_active = false;

    if ( !is_paged() ) {
        $paged_active = true;
    }

    $twp_newsfor_home_sections_2 = json_decode( $twp_newsfor_home_sections_2 );

    if( $twp_newsfor_home_sections_2 ){ ?>

        <?php
        foreach ( $twp_newsfor_home_sections_2 as $newsfor_home_section ) {

            $home_section_type = isset( $newsfor_home_section->home_section_type ) ? $newsfor_home_section->home_section_type : '';

            switch ($home_section_type) {

                case 'default-banner-area':

                    $ed_horizontal_vertical_slider = isset( $newsfor_home_section->section_ed ) ? $newsfor_home_section->section_ed : '';
                    if ( $ed_horizontal_vertical_slider == 'yes' && $paged_active ) {
                        newsfor_horizontal_vertical_slider( $newsfor_home_section , $repeat_times);
                    }

                break;

                case 'video-slider':

                    $ed_slider_blocks = isset( $newsfor_home_section->section_ed ) ? $newsfor_home_section->section_ed : '';
                    if ( $ed_slider_blocks == 'yes' && $paged_active ) {
                        newsfor_main_banner( $newsfor_home_section , $repeat_times);
                    }

                break;


                case 'must-read':

                    $ed_must_read = isset( $newsfor_home_section->section_ed ) ? $newsfor_home_section->section_ed : '';
                    if ( $ed_must_read == 'yes' && $paged_active ) {
                        newsfor_must_read( $newsfor_home_section , $repeat_times);
                    }

                break;


                case 'latest-posts-blocks':

                    $ed_latest_posts_blocks = isset( $newsfor_home_section->section_ed ) ? $newsfor_home_section->section_ed : '';
                    if ( $ed_latest_posts_blocks == 'yes' ) {
                        newsfor_latest_blocks( $newsfor_home_section  , $repeat_times);
                    }

                break;

                case 'tiles-blocks':

                    $ed_tiles_block = isset( $newsfor_home_section->section_ed ) ? $newsfor_home_section->section_ed : '';
                    if ( $ed_tiles_block == 'yes' && $paged_active ) {
                        newsfor_tiles_block_section( $newsfor_home_section , $repeat_times);
                    }

                break;

                case 'banner-blocks-1':

                    $ed_banner_blocks_1 = isset( $newsfor_home_section->section_ed ) ? $newsfor_home_section->section_ed : '';
                    if ( $ed_banner_blocks_1 == 'yes' && $paged_active ) {
                        newsfor_banner_block_1_section( $newsfor_home_section , $repeat_times);
                    }

                break;

                case 'advertise-blocks':

                    $ed_advertise_blocks = isset( $newsfor_home_section->section_ed ) ? $newsfor_home_section->section_ed : '';
                    if ( $ed_advertise_blocks == 'yes' && $paged_active ) {
                        newsfor_advertise_block( $newsfor_home_section , $repeat_times);
                    }
                    
                break;

                case 'home-widget-area':

                    $ed_home_widget_area = isset( $newsfor_home_section->section_ed ) ? $newsfor_home_section->section_ed : '';
                    if ( $ed_home_widget_area == 'yes' && $paged_active ) {
                        newsfor_case_home_widget_area_block( $newsfor_home_section , $repeat_times);
                    }
                    
                break;

                case 'you-may-like-blocks':

                    $ed_you_may_like_area = isset( $newsfor_home_section->section_ed ) ? $newsfor_home_section->section_ed : '';
                    if ( $ed_you_may_like_area == 'yes' && $paged_active ) {
                        newsfor_you_may_like_block_section( $newsfor_home_section , $repeat_times);
                    }
                    
                break;

                default:

                break;

            }

        $repeat_times++;
        } 
        ?>

    <?php
    }

get_footer();
