<?php
/**
 * NewsFor About Page
 * @package NewsFor
 *
 */
if (!class_exists('NewsFor_About_page')):
    class NewsFor_About_page
    {
        function __construct()
        {
            add_action('admin_menu', array($this, 'newsfor_backend_menu'));
        }
        // Add Backend Menu
        function newsfor_backend_menu()
        {
            add_theme_page(esc_html__('NewsFor', 'newsfor'), esc_html__('NewsFor', 'newsfor'), 'activate_plugins', 'newsfor-about', array($this, 'newsfor_main_page'), 1);
        }
        // Settings Form
        function newsfor_main_page()
        {
            require get_template_directory() . '/classes/about-render.php';
        }
    }
    new NewsFor_About_page();
endif;